Package org.springframework.security.crypto.encrypt

## Enum AesBytesEncryptor.CipherAlgorithm

- java.lang.Object
- - java.lang.Enum<AesBytesEncryptor.CipherAlgorithm>
  - - org.springframework.security.crypto.encrypt.AesBytesEncryptor.CipherAlgorithm

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AesBytesEncryptor.CipherAlgorithm>`

Enclosing class:
  AesBytesEncryptor

    public static enum AesBytesEncryptor.CipherAlgorithm
    extends java.lang.Enum<AesBytesEncryptor.CipherAlgorithm>

### Enum Constant Summary

Enum Constants
`CBC`
`GCM`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`javax.crypto.Cipher` `createCipher()`
`BytesKeyGenerator` `defaultIvGenerator()`
`java.security.spec.AlgorithmParameterSpec` `getParameterSpec​(byte[] iv)`
`java.lang.String` `toString()`
`static AesBytesEncryptor.CipherAlgorithm` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AesBytesEncryptor.CipherAlgorithm[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CBC

    public static final AesBytesEncryptor.CipherAlgorithm CBC

#### GCM

    public static final AesBytesEncryptor.CipherAlgorithm GCM

### Method Detail

#### values

    public static AesBytesEncryptor.CipherAlgorithm[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AesBytesEncryptor.CipherAlgorithm c : AesBytesEncryptor.CipherAlgorithm.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AesBytesEncryptor.CipherAlgorithm valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<AesBytesEncryptor.CipherAlgorithm>`

#### getParameterSpec

    public java.security.spec.AlgorithmParameterSpec getParameterSpec​(byte[] iv)

#### createCipher

    public javax.crypto.Cipher createCipher()

#### defaultIvGenerator

    public BytesKeyGenerator defaultIvGenerator()